# Poco::JWT

# class SignatureGenerationException

Library: JWT
Package: JWT
Header: Poco/JWT/JWTException.h

## Inheritance

Direct Base Classes: SignatureException

All Base Classes: Poco::Exception, JWTException, SignatureException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### SignatureGenerationException

SignatureGenerationException(
int code = 0
);

### SignatureGenerationException

SignatureGenerationException(
const SignatureGenerationException & exc
);

### SignatureGenerationException

SignatureGenerationException(
const std::string & msg,
int code = 0
);

### SignatureGenerationException

SignatureGenerationException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### SignatureGenerationException

SignatureGenerationException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~SignatureGenerationException

~SignatureGenerationException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::JWT::SignatureException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::JWT::SignatureException::name()

### operator =

SignatureGenerationException & operator = (
const SignatureGenerationException & exc
);

### rethrow

void rethrow() const;

See also: Poco::JWT::SignatureException::rethrow()